/*
	File:		System8ResourcesStatic.cp

	Contains:	The System 7 resource manager redefined in
					terms of the System 8 Resource Manager.
				Add this file to your project directly.
				These procedures are _not_ part of the System 8
				resource manager.
				
	Written by: Chris Thomas <ckt@best.com>
					bug reports, suggestions, comments welcome!
					
	Version:	1.0
	
	Copyright:	 1995 Chris K. Thomas.  All Rights Reserved.
				 1995 Apple Computer, Inc.  All Rights Reserved.

	Change History (most recent first):
	 
		 	  8/24/95	ckt		Created.
*/

#include "System8Resources.h"
#include <Errors.h>
#include <Script.h>

OSStatus RMFSpCreateResFile(FSSpec *inSpec, OSType creator, OSType fileType, ScriptCode scriptTag)
{
	OSStatus		outErr = 0L;
	
	FSpCreateResFile(inSpec, creator, fileType, scriptTag);
	
	outErr = ResError();
	return outErr;
}

// * careful with permissions - note new constants
OSStatus RMFSpOpenResFile(FSSpec *spec, ResFilePermissions permissions, Boolean resLoad, ResFileRefNum *refNum)
{
	OSStatus	outErr = 0L;
	UInt8		saveResLoad;
	
	saveResLoad = LMGetResLoad();
	SetResLoad(resLoad);
	
	if(permissions == kResFileReadOnlyPermission)
		permissions = fsRdPerm;
	else if(permissions == kResFileReadWriteExclusivePermission)
		permissions = fsRdWrPerm;
	else
		return permErr;
	
	*refNum = FSpOpenResFile(spec, (SignedByte)permissions);
	
	outErr = ResError();
	
	SetResLoad(saveResLoad);
	return outErr;
}